/* BEGIN: Crisp Loader */

/* Disable Scroll on Loading */
main:has(.crisp-header.is--loading) {
  height: 100dvh;
  overflow: hidden;
}

.crisp-header.is--loading.is--hidden {
  display: none;
}

.crisp-header.is--loading .crisp-header__slider {
  display: none;
}

.crisp-header.is--loading .crisp-loader {
  display: flex;
}

.crisp-loader {
  display: none;
}

/* Editor overrides */
:is(.wf-design-mode, .wf-editor) .crisp-header.is--loading.is--hidden,
:is(.wf-design-mode, .wf-editor) .crisp-header.is--loading.is--hidden .crisp-header__slider {
  display: flex;
}

:is(.wf-design-mode, .wf-editor) .crisp-header.is--loading.is--hidden .crisp-loader {
  display: none;
}

/* SplitText H1 */
.crisp-header__h1>* {
  margin: -0.1em -0.05em;
  padding: 0.1em 0.05em;
}

/* Slider nav hovers (your code) */
.crisp-header__slider-nav-btn {
  transition: border-color 0.75s cubic-bezier(0.625, 0.05, 0, 1);
}

.crisp-header__slider-nav-btn img {
  transform: scale(1) rotate(0.001deg);
  transition: transform 0.75s cubic-bezier(0.625, 0.05, 0, 1);
}

.crisp-header__slider-nav:has(.crisp-header__slider-nav-btn:hover) img {
  transform: scale(0.825) rotate(0.001deg);
}

.crisp-header__slider-nav:has(.crisp-header__slider-nav-btn:hover) .crisp-header__slider-nav-btn:hover img {
  transform: scale(1) rotate(0.001deg);
}

/* END: Crisp Loader */

/* BEGIN: Cursor with Marquee Effect */

.cursor-marquee__card {
  transition: all 0.4s cubic-bezier(.75, 0, .25, 1);
  transform: translateY(0%) rotate(0.001deg);
  clip-path: inset(calc(50% - 0.25em) round 50em);
  will-change: clip-path;
  opacity: 0;
}

[data-cursor-marquee-status="active"] .cursor-marquee__card {
  clip-path: inset(0 round 50em);
  transform: translateY(-25%) rotate(0.001deg);
}

/* Show cursor dot when script loaded */
[data-cursor-marquee-status="not-active"] .cursor-marquee__card,
[data-cursor-marquee-status="active"] .cursor-marquee__card {
  opacity: 1;
}

/* CSS Keyframe Animation */
@keyframes translateXCursor {
  to {
    transform: translateX(-100%);
  }
}

.cursor-marquee__text-span {
  animation: translateXCursor 10s linear infinite paused;
  transition: opacity 0.15s ease-in-out 0.25s;
  opacity: 0;
}

[data-cursor-marquee-status="active"] .cursor-marquee__text-span {
  transition: opacity 0.15s ease-in-out 0s;
  opacity: 1;
}

/* END: Cursor with Marquee Effect */

/* BEGIN: WhatsApp */

[data-whatsapp-modal-qr-canvas]:has(svg) {
  background-color: transparent;
}

[data-whatsapp-modal-qr-canvas] svg rect {
  fill: transparent;
}

.whatsapp-modal__card {
  transition: all 0.6s cubic-bezier(0.625, 0.05, 0, 1);
  transform: translateY(25%) rotate(0.001deg);
  opacity: 0;
  visibility: hidden;
}

[data-whatsapp-modal-status="active"] .whatsapp-modal__card {
  transform: translateY(0%) rotate(0.001deg);
  opacity: 1;
  visibility: visible;
}

.whatsapp-modal__dark {
  transition: all 0.6s cubic-bezier(0.625, 0.05, 0, 1);
  opacity: 0;
  visibility: hidden;
}

[data-whatsapp-modal-status="active"] .whatsapp-modal__dark {
  opacity: 1;
  visibility: visible;
}

/* Hide link on non-touch devices */
[data-whatsapp-modal-btn] [data-whatsapp-modal-link] {
  display: none;
}

/* Hide modal on touch devices, and open link directly */
@media (hover: none) and (pointer: coarse) {
  [data-whatsapp-modal] {
    display: none;
  }

  /* Hide toggle button on touch devices */
  [data-whatsapp-modal-trigger] [data-whatsapp-modal-toggle] {
    display: none;
  }

  /* Show link on touch devices */
  [data-whatsapp-modal-trigger] [data-whatsapp-modal-link] {
    display: block;
  }
}

/* END: WhatsApp */

/* BEGIN: Button with Bubble Arrow */

.btn-bubble-arrow__content {
  transition: transform 0.735s cubic-bezier(0.625, 0.05, 0, 1);
  transform: translateX(-3.75em) rotate(0.001deg);
}

.btn-bubble-arrow__arrow {
  transition: transform 0.735s cubic-bezier(0.625, 0.05, 0, 1);
  transform: scale(0) rotate(0.001deg);
  transform-origin: left;
}

.btn-bubble-arrow__arrow-svg {
  transition: transform 0.735s cubic-bezier(0.625, 0.05, 0, 1);
  transform: rotate(0.001deg);
}

.btn-bubble-arrow__arrow.is--duplicate {
  position: absolute;
  z-index: 2;
  right: 0;
  transform: scale(1) rotate(0.001deg);
  transform-origin: right;
}

/* Hover */

.btn-bubble-arrow:hover .btn-bubble-arrow__content {
  transform: translateX(0em) rotate(0.001deg);
}

.btn-bubble-arrow:hover .btn-bubble-arrow__arrow-svg {
  transform: rotate(-45deg);
}

.btn-bubble-arrow:hover .btn-bubble-arrow__arrow {
  transform: scale(1) rotate(0.001deg);
}

.btn-bubble-arrow:hover .btn-bubble-arrow__arrow.is--duplicate {
  transform: scale(0) rotate(0.001deg);
}

/* END: Button with Bubble Arrow */

/* BEGIN: CSS Marquee */

/* CSS Keyframe Animation */
@keyframes translateX {
  to {
    transform: translateX(-100%);
  }
}

[data-css-marquee-list] {
  animation: translateX 30s linear;
  animation-iteration-count: infinite;
  animation-play-state: paused;
}

/* END: CSS Marquee */

/* BEGIN: Tabs Section */

/* Fade the links that are not active */
.tab-content__bottom:has(.tab-content__item.active) .tab-content__item:not(.active) {
  opacity: 0.5;
}

@media (hover:hover) and (pointer:fine) {
  .tab-content__item:not(.active):hover .tab-content__item-bottom {
    background-color: rgba(0, 0, 0, 0.75);
  }

  .tab-content__item:not(.active):hover .content-item__nr {
    transform: translate(25%, 0px);
  }
}

/* END: Tabs Section */

/* BEGIN: Modal */
[data-modal-group-status] {
  transition: all 0.2s linear;
}

[data-modal-group-status="active"] {
  opacity: 1;
  visibility: visible;
}

[data-modal-name][data-modal-status="active"] {
  display: flex;
}

/* END: Modal */
